Skip to main content
`Ctrl`+`K`

# DMSwarmSetMigrateType

Set the style of point migration

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetMigrateType(DM dm, DMSwarmMigrateType mtype)

Logically Collective

## Input Parameters

- dm - the `DMSWARM`

- mtype - The migration type, see `DMSwarmMigrateType`

## See Also

`DM`, `DMSWARM`, `DMSwarmMigrateType`, `DMSwarmGetMigrateType()`, `DMSwarmMigrate()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarm_migrate.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages